Ubuntu

compiz crashed with SIGSEGV in unity::switcher::SwitcherController::CompareSwitcherItemsPriority()

Reported by Justin on 2012-01-15
560
This bug affects 110 people
Affects Status Importance Assigned to Milestone
Unity
Critical
Unassigned
Unity Distro Priority
Critical
Unassigned
unity (Ubuntu)
Critical
Unassigned
Oneiric
Critical
Unassigned

Bug Description

I might have been switching tabs in lyx...which is probably unrelated.

Update: after more occurrences of this, it seems this is triggered by alt-tab.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: unity 4.28.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-15.25-generic 3.0.13
Uname: Linux 3.0.0-15-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Sun Jan 15 19:35:33 2012
Disassembly: => 0x0: Cannot access memory at address 0x0
ExecutablePath: /usr/bin/compiz
ProcCmdline: compiz
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x0: Cannot access memory at address 0x0
 PC (0x00000000) not located in a known VMA region (needed executable region)!
SegvReason: executing NULL VMA
Signal: 11
SourcePackage: unity
StacktraceTop:
 ?? ()
 unity::switcher::SwitcherController::CompareSwitcherItemsPriority(AbstractLauncherIcon*, AbstractLauncherIcon*) () from /usr/lib/compiz/libunityshell.so
 void std::__insertion_sort<__gnu_cxx::__normal_iterator<AbstractLauncherIcon**, std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> > >, bool (*)(AbstractLauncherIcon*, AbstractLauncherIcon*)>(__gnu_cxx::__normal_iterator<AbstractLauncherIcon**, std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> > >, __gnu_cxx::__normal_iterator<AbstractLauncherIcon**, std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> > >, bool (*)(AbstractLauncherIcon*, AbstractLauncherIcon*)) () from /usr/lib/compiz/libunityshell.so
 unity::switcher::SwitcherController::Show(unity::switcher::SwitcherController::ShowMode, unity::switcher::SwitcherController::SortMode, bool, std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> >) () from /usr/lib/compiz/libunityshell.so
 UnityScreen::altTabInitiateCommon(CompAction*, unsigned int, std::vector<CompOption, std::allocator<CompOption> >&) () from /usr/lib/compiz/libunityshell.so
Title: compiz crashed with SIGSEGV in unity::switcher::SwitcherController::CompareSwitcherItemsPriority()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Justin (parksjw) wrote :
description: updated
visibility: private → public

StacktraceTop:
 ?? ()
 unity::switcher::SwitcherController::CompareSwitcherItemsPriority (first=0x9550af0, second=0x806430) at /build/buildd/unity-4.28.0/plugins/unityshell/src/SwitcherController.cpp:354
 std::__insertion_sort<__gnu_cxx::__normal_iterator<AbstractLauncherIcon**, std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> > >, bool (*)(AbstractLauncherIcon*, AbstractLauncherIcon*)> (__first=..., __last=..., __comp=0x2aa4f80 <unity::switcher::SwitcherController::CompareSwitcherItemsPriority(AbstractLauncherIcon*, AbstractLauncherIcon*)>) at /usr/include/c++/4.6/bits/stl_algo.h:2129
 __final_insertion_sort<__gnu_cxx::__normal_iterator<AbstractLauncherIcon**, std::vector<AbstractLauncherIcon*> >, bool (*)(AbstractLauncherIcon*, AbstractLauncherIcon*)> (__last=<optimized out>, __first=<optimized out>, __comp=<optimized out>) at /usr/include/c++/4.6/bits/stl_algo.h:2201
 sort<__gnu_cxx::__normal_iterator<AbstractLauncherIcon**, std::vector<AbstractLauncherIcon*> >, bool (*)(AbstractLauncherIcon*, AbstractLauncherIcon*)> (__comp=<optimized out>, __last=<optimized out>, __first=<optimized out>) at /usr/include/c++/4.6/bits/stl_algo.h:5370

Changed in unity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Justin (parksjw) on 2012-01-25
description: updated
Didier Roche (didrocks) on 2012-02-01
Changed in unity:
status: New → Confirmed
Didier Roche (didrocks) on 2012-02-01
Changed in unity (Ubuntu):
importance: Medium → Critical
Abe Gong (agong) wrote :

In the meantime, is there any way for those of us affected by this bug to to roll back the update? My computer is basically unusable as long as this continues.

Sam_ (and-sam) wrote :

Not affected any longer - installed Precise.

Colan Schwartz (colan) wrote :

In CompizConfig Settings Manager, Preferences, I changed the profile from "Default" to "unity", but I suppose it could have been from Alt-Tabbing as well.

Tony Pursell (ajpursell) wrote :

Compiz is crashing for me frequently. Often after simple operation like Alt-Tab, but also in other situations, but no crash logs available for them. If possible, and they are different, I will report them.

Abe Gong (agong) wrote :

I found a decent workaround: use gnome instead of unity, at least until the problem is fixed. This was probably obvious to more experienced ubuntu users, but may be helpful to relative newbies. I've put more links and info on my blog: http://compsocsci.blogspot.com/2012/02/ubuntu-fail-and-fix-after-latest-update.html

subhrm (subhendu-r-mishra) wrote :

IMHO this is a show-stopper bug for Unity .

Didier Roche (didrocks) on 2012-02-07
Changed in unity:
importance: Undecided → Critical
Changed in unity-distro-priority:
importance: Undecided → Critical
status: New → Fix Committed
Changed in unity:
milestone: none → 5.4.0

This bug adversely affects my productivity .. please fix at the earliest .. most of the times I press alt+tab, the system hangs leaving no choice but a restart although I later found a temporary fix as follows :
1. ctrl+alt+f1
2. login and type unity
3. ctrl+alt+f7

Before the above fix, working on ubuntu 11.10 had become a nightmare with the most frequent alt+tab crashes prompting me to almost abandon it altogether.
This bug should be looked into with the highest priority

subhrm (subhendu-r-mishra) wrote :

I am sing Gnome Shell till this is fixed..

It's good news that developers have commited for a fix to this bug.

Jason Smith (jassmith) wrote :

This should be fixed in trunk

Changed in unity:
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity:
assignee: nobody → Jason Smith (jassmith)
Ondrej Certik (ondrej-certik) wrote :

Is there a plan to update Oneiric, or do we need to install Precise to get this fixed?

I pretty much stopped using alt-tab due to this bug. It makes the desktop pretty much unusable.

Zentai Andras (andras-zentai) wrote :

I hope this bug will be solved in Oneiric too.
I'm not planning to install Precise in the first few months after it will be released.
(The latest verison of Precise is not so precise yet. I test it every day in a Virtualbox environment,
 but it not convinced me yet to be brave enough to upgrade my Oneiric.)

    "me too!"

Please take the previous two comments into consideration. There are more
people that I know that will wait with an upgrade until the bugs are
ironed out, as mentioned in the previous post. That would mean that
people will continue to be affected by this intrusive bug until at least
the end of June or so.

It would also be nice if there were a way of communicating that one
agrees with a previous comment other than by posting "me too" messages.
So I've asked launchpad support to add something along the lines of a
"+1" or "like" button. See launchpad bug #932839.

On 02/15/12 15:05, Zentai Andras wrote:
> I hope this bug will be solved in Oneiric too.
> I'm not planning to install Precise in the first few months after it will be released.
> (The latest verison of Precise is not so precise yet. I test it every day in a Virtualbox environment,
> but it not convinced me yet to be brave enough to upgrade my Oneiric.)
>

Ondrej Certik (ondrej-certik) wrote :

Here is a workaround this bug:

Install "compizconfig-settings-manager", run "ccsm", go to "Ubuntu Unity Plugin" -> Switcher and disable all key bindings.
Go to the main screen and enable "Static Application Switcher". (If you do it the other way around, you will get segfaults.)

No segfaults anymore and the Compiz switcher is much better than the Unity one anyway -- I never got used to switching among applications instead of windows, as I use a lot of terminals and a browser and I need to switch between *one* terminal (out of many) and a browser quickly. So I am very happy and all works for me.

Thanks goes to Štěpán Roučka for providing this tip at my G+ (https://plus.google.com/u/0/104039945248245758823/posts/eeQhPwaEYyj). That being said, if he didn't provide this feedback, I would have to either ditch Ubuntu and use Debian, or install xfce or gnome3.

Since this bug didn't show up before, only recently, it would be great if somebody close to Ubuntu development could figure out (and post here) how exactly it got in (as it seems it got in with some Ubuntu update to the released Oneiric distribution) and also how many people are affected by this (it seems it only happens for some people?).
In any case I truly believe that such a bug should never get into a released Ubuntu version.

Omer Akram (om26er) wrote :

Could we have a fix for Oneiric as well, seems like a lot of people (outside this bug) are seeing the crash on Oneiric

Changed in unity (Ubuntu Oneiric):
importance: Undecided → Critical
status: New → Confirmed
Loof (loofsoft) wrote :

Unity is completely unusable because of this issue. Switching back to gnome...

Didier Roche (didrocks) on 2012-02-17
Changed in unity:
status: Fix Committed → Fix Released
Tim Penhey (thumper) on 2012-02-20
tags: added: distro-priority
Didier Roche (didrocks) on 2012-02-20
Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-distro-priority:
status: Fix Committed → Fix Released
Andrey Andreev (andyceo) wrote :

not shure it fixed.

Ubuntu 11.10, all updates installed, just switch ALT-TAB and get this in syslog:

Feb 25 20:27:42 dellicious kernel: [ 1368.034023] compiz[2737]: segfault at f8 ip 00007fbd63c8256c sp 00007ffff6a9cb70 error 4 in libunityshell.so[7fbd63b86000+225000]
Feb 25 20:28:08 dellicious gnome-session[2648]: WARNING: Application 'compiz.desktop' killed by signal
Feb 25 20:28:08 dellicious gnome-session[2648]: WARNING: App 'compiz.desktop' respawning too quickly
Feb 25 20:28:08 dellicious gnome-session[2648]: CRITICAL: We failed, but the fail whale is dead. Sorry....

Michael Born (mborn319) wrote :

I think I've had this bug - although I'm not sure what Compiz is. For me, the whole unity interface hangs and disappears, leaving the current window(s) open. Sometime alt_tab will trigger this, sometime not. I also noticed it would trigger on logging out while any windows were still open. On login, windows are left open but Unity (launcher, top menu bar) are gone.

gluca (gianluca-carlesso) wrote :

Bug also present in my PC.

Zentai Andras (andras-zentai) wrote :

Re: #21

Hi Andyceo (andyceo),

As far as I understand this bug was fixed in Precise. (See milestone:> unity 5.4.0 "Brass Monkey" in the header of this thread.)

In Oneiric which has unity version 4.28.0-0ubuntu2 it is not fixed yet. Hopefully it will get fixed soon. Until it is fixed You could try some of the workarounds mentioned in comments #12,#18.

Cheers,
Andras

Omer Akram (om26er) wrote :

ping ping, this needs to be fixed for precise could anyone please work to backport it for precise please?

And Oneiric too, considering that it's a regression introduced after the release of Oneiric.

Omer Akram (om26er) wrote :

oops I meant oneiric :)

Bug confirmed. I'm trying the workaround since this bug is well serious.
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/916879/comments/18

Gao Shichao (xgdgsc) wrote :

Confirmed. Trying the workaround above now, hope in 12.04 we will get a stable enough unity.

Vlad (vcosvic) wrote :

Just think of it - by pressing Alt+tab in the STABLE version of ubuntu, the one you download from ubuntu.com and install updates, you crash the whole system, and you have to restart it until next time you press that shortcut. And this haven't been fixed for almost a month.

subhrm (subhendu-r-mishra) wrote :
Download full text (3.3 KiB)

Please fix it in Oneric. Can't wait for precise . Btw I am now loving gnome
3. feels rock solid.

Regards,
Subhendu
On Mar 9, 2012 9:17 PM, "Vlad" <email address hidden> wrote:

> Just think of it - by pressing Alt+tab in the STABLE version of ubuntu,
> the one you download from ubuntu.com and install updates, you crash the
> whole system, and you have to restart it until next time you press that
> shortcut. And this haven't been fixed for almost a month.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/916879
>
> Title:
> compiz crashed with SIGSEGV in
> unity::switcher::SwitcherController::CompareSwitcherItemsPriority()
>
> Status in Unity:
> Fix Released
> Status in Unity Distro Priority:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
> Status in “unity” source package in Oneiric:
> Confirmed
>
> Bug description:
> I might have been switching tabs in lyx...which is probably unrelated.
>
> Update: after more occurrences of this, it seems this is triggered by
> alt-tab.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.10
> Package: unity 4.28.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-15.25-generic 3.0.13
> Uname: Linux 3.0.0-15-generic i686
> ApportVersion: 1.23-0ubuntu4
> Architecture: i386
> Date: Sun Jan 15 19:35:33 2012
> Disassembly: => 0x0: Cannot access memory at address 0x0
> ExecutablePath: /usr/bin/compiz
> ProcCmdline: compiz
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SegvAnalysis:
> Segfault happened at: 0x0: Cannot access memory at address 0x0
> PC (0x00000000) not located in a known VMA region (needed executable
> region)!
> SegvReason: executing NULL VMA
> Signal: 11
> SourcePackage: unity
> StacktraceTop:
> ?? ()
> unity::switcher::SwitcherController::CompareSwitcherItemsPriority(AbstractLauncherIcon*,
> AbstractLauncherIcon*) () from /usr/lib/compiz/libunityshell.so
> void
> std::__insertion_sort<__gnu_cxx::__normal_iterator<AbstractLauncherIcon**,
> std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> >
> >, bool (*)(AbstractLauncherIcon*,
> AbstractLauncherIcon*)>(__gnu_cxx::__normal_iterator<AbstractLauncherIcon**,
> std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> >
> >, __gnu_cxx::__normal_iterator<AbstractLauncherIcon**,
> std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> >
> >, bool (*)(AbstractLauncherIcon*, AbstractLauncherIcon*)) () from
> /usr/lib/compiz/libunityshell.so
> unity::switcher::SwitcherController::Show(unity::switcher::SwitcherController::ShowMode,
> unity::switcher::SwitcherController::SortMode, bool,
> std::vector<AbstractLauncherIcon*, std::allocator<AbstractLauncherIcon*> >)
> () from /usr/lib/compiz/libunityshell.so
> UnityScreen::altTabInitiateCommon(CompAction*, unsigned int,
> std::vector<CompOption, std::allocator<CompOption> >&) () from
> /usr/lib/compiz/libunityshell.so
> Title: compiz crashed with SIGSEGV in
> unity::switcher::SwitcherController::CompareSwitcherItemsPriority()
> UpgradeStatus: No upgrade log present (probably fresh i...

Read more...

Sheldon (sheldon.dueck) wrote :

Just adding my noise, like Vlad, I'm concerned as to why this bug (which is confirmed and critical) hasn't been fixed in Oneric for about a month. Thanks.

I've unsuccessfully tried to apply the workaround in comment 18. This is indeed an extremely serious bug. I've had no other choice but to change to Gnome 3.

Ondrej Certik (ondrej-certik) wrote :

OiPenguin --- can you be specific which step failed? It works for me great and I haven't had a crash since.

@ondrej-certik
I'm able to change from "Ubuntu Unity Plugin" to "Static Application Switcher" however that leaves me without any option to launch programs. At least I've not been able to figure out how to launch programs.

Ondrej Certik (ondrej-certik) wrote :

OiPenguin --- You only have to disable the unity *switcher* not the unity itself. So I launch programs as before, only alt-tab uses a different switcher now, which works.

@ondrej-certik
Agreed! I've tried your suggestions again. It appears to be working fine now.

ororo (ororo) wrote :

Same issue here, Ubuntu 11.10. Thank you to posts #12 and #18.

Nikki1993 (nikki-icekronik) wrote :

The most frustrating part here, as already was mentioned, this bug was detected first in Ubuntu 11.10 long time ago, but was fixed on 12.04 month ago and still no fix in Oneiric. I understand developers should make next LTS release as stable as possible but this doesn't mean you are suppose to ignore people who are currently working in Ubuntu 11.10 and have to wait for next release.

This bug was introduced into Oneiric by an SRU. It's a regression. It was fixed a couple of months ago, yet the fix remains unavailable to the current stable version of Ubuntu, which, as pointed out above, will remain in widespread use for several months yet.

Furthermore, it is a *major* usability bug. Surely <Alt>Tab is one of the most widely used keyboard shortcuts. It's simply impossible to remember to avoid it in order to avoid a crash. I've worked around this bug by switching to Unity 2D, but what about those who aren't so technically inclined? Are they able to work around it? Will they find this bug report and the workarounds posted here?

Normally, I'm not one to add to bug noise by complaining. But this seems to me to be a basic issue of responsibility. I understand that bugs are a fact of life, but if you break it, you should fix it -- especially when the fix is already available, and especially when the breakage was due to an SRU. It seems that someone ought to take enough pride in their work that they take basic responsibility.

I know that these kinds of complaints are generally frowned upon, but what recourse do I have? I don't have the ability to apply the fix myself, and there's no other place I'm aware of that's more appropriate for this purpose.

Though I could not tell exatly what part of my tricking around removed the problem on 11.10 I am now able to keep using this version without the alt+tab annoyance. 12.04 can wait.

What I did:

* Since I had mistakenly activated unsupported upgrades to try and fix the alt+tab bug, which of course created some more unstability (evince, nautilus, apport, compiz and a few more repeatedly crashed), I set back as many packages as I could to the Oneiric (or Oneiric-security) supported version. Synaptic helped much. Maybe I missed some (and kept the unsupported version), maybe I installed otherwise unnecessary packages, maybe that's what helped removing the bug. I know this may not help much but if someone tells me how to generate the full list of my 2113 installed packages+versions to check for differences with the oneiric-security default list I would happily provide it.

* Then I noticed that I was running the (oneiric-proposed) 3.0.0-18 version of the kernel so I activated the grub menu and tried the 3.0.0-17 version. All unstable behaviors disappeared (including the unity switcher problem) so I configured grub to permanently use this version.

What happened:

Since then, beautiful and fully tuned 11.10 perfectly works - again.

If anyone could confirm that switching back to the 3.0.0-18 kernel version alone did it (without my previous messing around with packages), I am quite sure it would make many 11.10 users happier (though it would of course not solve the ethical question of back porting bug fixes).

David Pérez (sanete) wrote :

I fully agree with bug #40.
I'm a little scared of installing new updates that are potentially buggy.

gferrie (gferrie-u) wrote :

this is a really serious problem which has caused me to lose work, being forced to log or reboot. Unfortunately the Alt-Tab is so entrenched in me that I do it without thinking only to find myself frustrated that this has been going on so long. I know there are lots of things to do but this is a big issue which can really put ppl off.

thanks

Same problem for me, but I also loose keyboard control. This means I can't use keyboard commands to open a terminal and restart unity. Very frustrating as I cannot even save my current work and must hard restart losing my progress.

Changed in unity:
assignee: Jason Smith (jassmith) → nobody
Cson (theceason) wrote :

same as #44

rockyit86 (forum-test17) wrote :

This case happens in situation where u hold the alt key for a while (say 2 to 3 secs) and press the tab button, then monitor flashes implies unity breakdowns and move all the applications to single workspace, if you repeat it second time , you will end up with un accessible desktop where all applications hang with no title bars

Then you have only one option restart unity (ctrl + alt + f1) login enter "unity" command and enter (ctrl + alt f7)

U will get back your desktop but you have to arrange all the applications in the respective workspaces, which makes my day very very bad, I have switched back to linux mint which is atleast stable than this unity crap...and ubuntu 12.04 is a nightmare

rockyit86 (forum-test17) wrote :

I am facing this problems, hope it is not only me, but i have no idea how to send bug reports can any tell me , how to do it or atleast, many thanks in advance

forumtest17.blogspot.se

David Pérez (sanete) wrote :

I think this is the most appropiate place for submitting bug reports.

I must say that Ubuntu 12.04 has this nasty bug fixed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions